---
apiVersion: v1
kind: Service
metadata:
  name: {{ .Release.Name }}-fileservice
  labels:
    {{- include "fileservice.labels" . | nindent 4 }}
spec:
  type: ClusterIP
  ports:
    - port: 80
      targetPort: grpc
      protocol: TCP
      name: http
    {{- if and .Values.global.metrics.enabled }}
    - port: 9000
      targetPort: metrics
      protocol: TCP
      name: metrics
    {{- end }}
  selector:
    {{- include "fileservice.selectorLabels" . | nindent 4 }}
